import type { AgentContextProvider } from '@credo-ts/core';
import { AgentContext, EventEmitter, Logger } from '@credo-ts/core';
import { TenantRecordService } from '../services';
import { TenantSessionCoordinator } from './TenantSessionCoordinator';
export declare class TenantAgentContextProvider implements AgentContextProvider {
    private tenantRecordService;
    private rootAgentContext;
    private eventEmitter;
    private logger;
    private tenantSessionCoordinator;
    constructor(tenantRecordService: TenantRecordService, rootAgentContext: AgentContext, eventEmitter: EventEmitter, tenantSessionCoordinator: TenantSessionCoordinator, logger: Logger);
    getAgentContextForContextCorrelationId(tenantId: string): Promise<AgentContext>;
    getContextForInboundMessage(inboundMessage: unknown, options?: {
        contextCorrelationId?: string;
    }): Promise<AgentContext>;
    endSessionForAgentContext(agentContext: AgentContext): Promise<void>;
    private getRecipientKeysFromEncryptedMessage;
    private registerRecipientKeyForTenant;
    private listenForRoutingKeyCreatedEvents;
}
